<div class="main main-wrap">
    <div class="container d-flex h-100">
        <div class="clearfix justify-content-center w-100 align-self-center">
            <div class="mx-auto p-4 layout">
                <form [formGroup]="loginForm" class="pt-4" novalidate="" (ngSubmit)="onSubmit()">
                    <div>
                        <div class="form-group">
                            <label for="email">
                                <span>Email ID</span>
                                <span class="text-danger">*</span>
                            </label>
                            <input type="text" class="form-control" formControlName="email">
                            <div *ngIf="getControl.email.touched && getControl.email.invalid"
                                class="form-control-feedback">
                                <p *ngIf="getControl.email.errors.required">Email is required.</p>
                                <p *ngIf="getControl.email.errors.email">Please enter valid email</p>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="password">
                                <span>Password</span>
                                <span class="text-danger">*</span>
                            </label>
                            <input type="password" class="form-control" formControlName="password">
                            <div *ngIf="getControl.password.touched && getControl.password.invalid"
                                class="form-control-feedback">
                                <p *ngIf="getControl.password.errors.required">Password is required.</p>
                                <p *ngIf="getControl.password.errors.pattern">Password should contain minimun 8
                                    characters and at least 1 number, 1 special character and 1 capital letter</p>
                            </div>
                        </div>

                        <div class="form-group text-center">
                            <button class="btn btn-info w-100 btn-lg" type="submit" [disabled]="loginForm.invalid">Log
                                In</button>
                        </div>
                        <app-loader *ngIf="loader"></app-loader>
                        <div class="login-links clearfix">
                            <a class="float-left" routerLink="/reset">Forgot password?</a>
                        </div>
                    </div>
                    <!---->
                    <!---->
                </form>
            </div>
        </div>
    </div>
</div>